> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 申领专用 IP

> 申请托管专用 IP。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json POST /v1/public/accounts/{account_id}/dedicated-ips/claim
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/claim:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: 申领专用 IP
      description: 申请托管专用 IP。
      operationId: >-
        claim_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips_claim_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimDedicatedIpRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ClaimDedicatedIpRequest:
      description: 申领托管专用 IP 的请求。
      properties:
        option_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: 选项 Id
      title: ClaimDedicatedIpRequest
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: 用于分配的自治系统编号
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: 分配的 ISO 国家代码
          title: 国家/地区代码
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 创建时间戳
          title: 创建时间
        id:
          description: 专用 IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: 此分配中的公共地址
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP地址
          type: array
        name:
          description: 客户可见的专用IP名称
          title: 名称
          type: string
        status:
          description: 配置或生命周期状态
          title: 状态
          type: string
        type:
          description: 专用IP分配型
          title: 类型
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 最后更新时间戳
          title: 更新时间
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: 没有信誉信号的公共专用 IP 地址元数据。
      properties:
        fcrdns_confirmed:
          default: false
          description: 正向确认反向DNS是否通过
          title: 已确认的 Fcrdns
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 当前健康状况（如果有）
          title: 健康
        ip:
          description: 公共IP地址
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: 配置时反转 DNS 主机名
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````